
Infrastructure - Bug #2879

Formats population script needs ability to perform updates

2012-06-08 18:03 - Robert Waltz

Status: Closed Start date: 2012-06-08

Priority: Normal Due date: 2013-03-16

Assignee: Chris Jones % Done: 100%

Category: Environment.Production Estimated time: 0.00 hour

Target version: 2013.10-Block.2.1   

Milestone: CCI-1.2 Story Points:  

Product Version: *   

Description

History

#1 - 2012-06-19 05:42 - Robert Waltz

- Target version changed from Sprint-2012.23-Block.3.4 to Sprint-2012.25-Block.4.1

- Milestone changed from CCI-1.0.0 to CCI-1.0.2

#2 - 2012-06-25 20:45 - Robert Waltz

- Assignee changed from Robert Waltz to Chris Jones

The perl script was easy for me to quickly change.  Alternatively, if you want to replace this with a java executable jar based on metacat's java client,

then that would provide us with an easy way to include the format's list from Common.

#3 - 2012-07-09 14:03 - Dave Vieglais

- Milestone changed from CCI-1.0.2 to CCI-1.0.3

- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.29-Block.4.3

#4 - 2012-07-31 00:29 - Dave Vieglais

- Milestone changed from CCI-1.0.3 to CCI-1.0.4

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.33-Block.5.1

#5 - 2012-08-31 04:03 - Chris Jones

- Milestone changed from CCI-1.0.4 to CCI-1.0.5

- Priority changed from High to Normal

#6 - 2012-08-31 14:20 - Dave Vieglais

- Target version changed from Sprint-2012.33-Block.5.1 to Sprint-2012.39-Block.5.4

- Position set to 1

#7 - 2012-10-03 15:38 - Chris Jones

- Due date set to 2012-10-06

- translation missing: en.field_remaining_hours set to 0.0

- Milestone changed from CCI-1.0.5 to CCI-1.1

#8 - 2012-10-05 15:12 - Chris Jones

- Due date changed from 2012-10-06 to 2012-11-10
- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.44-Block.6.2

- Milestone changed from CCI-1.1 to CCI-1.2

#9 - 2012-12-12 18:36 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

- Due date changed from 2012-11-10 to 2013-01-05

#10 - 2012-12-12 19:24 - Chris Jones

- Due date changed from 2013-01-05 to 2013-01-19

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

#11 - 2013-03-01 16:38 - Chris Jones

- Status changed from New to In Progress

I've worked on a separate update script that I'll merge into a script that performs both inserts and updates.

#12 - 2013-03-01 19:10 - Chris Jones

- Due date changed from 2013-01-19 to 2013-03-16

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

#13 - 2013-03-13 23:08 - Chris Jones

- Status changed from In Progress to Closed

I've committed the insert-or-update-object-formats.sh bash script that allows for object format updates.  The perl script could also be modified, but I

found that parsing of the XML responses was easier with xmlstarlet via bash instead of using the perl XMl modules.  I'll close this since we ultimately

have the functionality now.
